qdepends(1)

NAME
qdepends - show dependency info

SYNOPSIS
qdepends <opts> <pkgname>

DESCRIPTION
The qdepends applet has a couple different modes. Normally it is geared towards answering the queries "what does package X depend on" and "what packages depend on X". Both can further be classified into build, run, and post dependencies. By default, it will tell you the build time dependencies only (DEPEND). Currently, qdepends will only query installed packages. There is no support for querying packages not yet installed (the equery(1) tool can do that). If there is no answer to your query (i.e. you've asked for a package that is not installed, or a version that does not match), then you will get back no output.

OPTIONS

-d, --depend
    Show DEPEND info (default)

-r, --rdepend
    Show RDEPEND info

-p, --pdepend
    Show PDEPEND info

-k <arg>, --key <arg>
    User defined vdb key

-Q <arg>, --query <arg>
    Query reverse deps

-N, --name-only
    Only show package name

-a, --all
    Show all DEPEND info

-f, --format
    Pretty format specified depend strings

--root <arg>
    Set the ROOT env var

-v, --verbose
    Make a lot of noise

-q, --quiet
    Tighter output; suppress warnings

-C, --nocolor
    Don't output color

-h, --help
    Print this help and exit

-V, --version
    Print version and exit

EXAMPLES
For finding out what a particular package depends on for building, you could do:
	$ qdepends nano
	app-editors/nano-2.3.2: >=sys-libs/ncurses-5.9-r1[unicode] sys-apps/file ...
This tells us that we have app-editors/nano-2.3.2 installed and it depends on ncurses (among other things).

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>

SEE ALSO
q(1), qatom(1), qcache(1), qcheck(1), qfile(1), qgrep(1), qlist(1), qlop(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), quse(1), qxpak(1)